# Uses of Class
org.springframework.cglib.reflect.MethodDelegate

Packages that use MethodDelegate
Package
Description
org.springframework.cglib.reflect
Spring's repackaging of the CGLIB reflect package (for internal use only).

## Uses of MethodDelegate in org.springframework.cglib.reflect

Methods in org.springframework.cglib.reflect that return MethodDelegate
Modifier and Type
Method
Description
`static MethodDelegate`
MethodDelegate.`create(Object target, String methodName, Class iface)`
`MethodDelegate`
MethodDelegate.Generator.`create()`
`static MethodDelegate`
MethodDelegate.`createStatic(Class targetClass, String methodName, Class iface)`
`abstract MethodDelegate`
MethodDelegate.`newInstance(Object target)`